Loading...
Searching...
No Matches
integrate_option

## Detailed Description

see the `integrate_option` page for the full documentation

Examples
  burgers_dg.cc, burgers_diffusion_dg.cc, burgers_diffusion_error.cc, combustion_error.cc, commute_rtd.cc, commute_rtd_error.cc, convect.cc, convect2.cc, convect_hdg.cc, convect_hdg_error.cc, cosinusprod_error.cc, cosinusprod_error_dg.cc, cosinusprod_error_hdg.cc, cosinusprod_error_hdg_average.cc, cosinusprod_error_hdg_post_rt.cc, cosinusprod_post_dg.cc, cosinusrad_error.cc, diffusion_tensor_error.cc, diffusion_transport_tensor_error_dg.cc, dirichlet_hdg.cc, dirichlet_hdg_post.cc, elasticity_taylor_error_dg.cc, mosolov_error.cc, mosolov_error_yield_surface.cc, mosolov_residue.cc, navier_stokes_taylor_error_dg.cc, p_laplacian_error.cc, reconstruction_hho_check.cc, sinusprod_error.cc, sinusprod_error_dg.cc, sinusprod_error_hdg.cc, sinusprod_error_hdg_average.cc, sinusprod_error_hdg_post_rt.cc, sinusprod_error_hho_reconstruction.cc, sinusrad_error.cc, stokes_contraction_bubble.cc, stokes_taylor_error_dg.cc, streamf_contraction.cc, streamf_obstacle_slip_move.cc, transport_tensor_error_dg.cc, yield_slip_error.cc, and zalesak_dg_error.cc.

Definition at line 125 of file integrate_option.h.

## Public Types

enum | family_type { gauss = 0 , gauss_lobatto = 1 , gauss_radau = 2 , middle_edge = 3 , superconvergent = 4 , equispaced = 5 , max_family = 6 }
typedef size_t | size_type

## Public Member Functions

| integrate_option (family_type ft=default_family, size_type k=default_order)
| integrate_option (const std::string &name)
| integrate_option (const integrate_option &iopt)
integrate_option & | operator= (const integrate_option &iopt)
std::string | name () const
size_t | get_order () const
family_type | get_family () const
std::string | get_family_name () const
void | reset (const std::string &name)
void | set_order (size_t r)
void | set_family (family_type type)
void | set_family (std::string name)

## Static Public Member Functions

template<class T >
static T | epsilon ()

## Public Attributes

bool | invert
bool | ignore_sys_coord
bool | lump
bool | _is_on_interface
bool | _is_inside_on_local_sides

## Static Public Attributes

static const size_type | unset_order = std::numeric_limits<size_type>::max()
static const size_type | default_order = unset_order
static const family_type | default_family = gauss

## Protected Attributes

family_type | _family
size_t | _order

## Member Typedef Documentation

## size_type

typedef size_t size_type

Definition at line 129 of file integrate_option.h.

## Member Enumeration Documentation

## family_type

enum family_type

Enumerator
gauss |
gauss_lobatto |
gauss_radau |
middle_edge |
superconvergent |
equispaced |
max_family |

Definition at line 131 of file integrate_option.h.

## Constructor & Destructor Documentation

## integrate_option() [1/3]

integrate_option | ( | family_type | ft = `default_family`,
|  | size_type | k = `default_order`
| ) |  |

Definition at line 194 of file integrate_option.h.

## integrate_option() [2/3]

integrate_option | ( | const std::string & | name | ) |

Definition at line 205 of file integrate_option.h.

## integrate_option() [3/3]

integrate_option | ( | const integrate_option & | iopt | ) |

Definition at line 217 of file integrate_option.h.

## Member Function Documentation

## operator=()

integrate_option & operator= | ( | const integrate_option & | iopt | ) |

Definition at line 229 of file integrate_option.h.

## name()

std::string name | ( |  | ) | const

## get_order()

integrate_option::size_type get_order | ( |  | ) | const

Definition at line 242 of file integrate_option.h.

## get_family()

integrate_option::family_type get_family | ( |  | ) | const

Definition at line 248 of file integrate_option.h.

## get_family_name()

std::string get_family_name | ( |  | ) | const

## reset()

void reset | ( | const std::string & | name | ) |

## set_order()

void set_order | ( | size_t | r | ) |

Examples
  burgers_diffusion_error.cc, combustion_error.cc, commute_rtd_error.cc, convect.cc, convect2.cc, convect_hdg_error.cc, cosinusprod_error.cc, cosinusprod_error_dg.cc, cosinusprod_error_hdg.cc, cosinusprod_error_hdg_average.cc, cosinusprod_error_hdg_post_rt.cc, cosinusprod_post_dg.cc, cosinusrad_error.cc, diffusion_tensor_error.cc, diffusion_transport_tensor_error_dg.cc, elasticity_taylor_error_dg.cc, mosolov_error.cc, mosolov_error_yield_surface.cc, navier_stokes_taylor_error_dg.cc, p_laplacian_error.cc, sinusprod_error.cc, sinusprod_error_dg.cc, sinusprod_error_hdg.cc, sinusprod_error_hdg_average.cc, sinusprod_error_hdg_post_rt.cc, sinusprod_error_hho_reconstruction.cc, sinusrad_error.cc, stokes_taylor_error_dg.cc, transport_tensor_error_dg.cc, yield_slip_error.cc, and zalesak_dg_error.cc.

Definition at line 254 of file integrate_option.h.

## set_family() [1/2]

void set_family | ( | family_type | type | ) |

Examples
  combustion_error.cc, convect.cc, convect2.cc, convect_hdg_error.cc, cosinusprod_error_dg.cc, cosinusprod_error_hdg.cc, cosinusprod_error_hdg_post_rt.cc, cosinusprod_post_dg.cc, diffusion_tensor_error.cc, diffusion_transport_tensor_error_dg.cc, elasticity_taylor_error_dg.cc, mosolov_error.cc, mosolov_error_yield_surface.cc, navier_stokes_taylor_error_dg.cc, p_laplacian_error.cc, sinusprod_error_dg.cc, sinusprod_error_hdg.cc, sinusprod_error_hdg_post_rt.cc, stokes_taylor_error_dg.cc, transport_tensor_error_dg.cc, yield_slip_error.cc, and zalesak_dg_error.cc.

Definition at line 260 of file integrate_option.h.

## set_family() [2/2]

void set_family | ( | std::string | name | ) |

## epsilon()

template<class T >

static T epsilon | ( |  | ) |

static

Definition at line 174 of file integrate_option.h.

## Member Data Documentation

## unset_order

const size_type unset_order = std::numeric_limits<size_type>::max()

static

Definition at line 141 of file integrate_option.h.

## default_order

const size_type default_order = unset_order

static

Definition at line 142 of file integrate_option.h.

## default_family

const family_type default_family = gauss

static

Definition at line 143 of file integrate_option.h.

## invert

bool invert

Examples
  burgers_dg.cc, burgers_diffusion_dg.cc, commute_rtd.cc, convect_hdg.cc, cosinusprod_error_hdg_average.cc, dirichlet_hdg.cc, dirichlet_hdg_post.cc, mosolov_residue.cc, reconstruction_hho_check.cc, sinusprod_error_hdg_average.cc, sinusprod_error_hho_reconstruction.cc, and stokes_contraction_bubble.cc.

Definition at line 168 of file integrate_option.h.

## ignore_sys_coord

bool ignore_sys_coord

Examples
  streamf_contraction.cc, and streamf_obstacle_slip_move.cc.

Definition at line 168 of file integrate_option.h.

## lump

bool lump

Examples
  cosinusprod_post_dg.cc.

Definition at line 168 of file integrate_option.h.

## _family

family_type _family

protected

Definition at line 177 of file integrate_option.h.

## _order

size_t _order

protected

Definition at line 178 of file integrate_option.h.

## _is_on_interface

bool _is_on_interface

mutable

Definition at line 180 of file integrate_option.h.

## _is_inside_on_local_sides

bool _is_inside_on_local_sides

Definition at line 180 of file integrate_option.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/fem/geo_element/integrate_option.h